propellor-5.3.3: property-based host configuration management in haskell

Maintainer | Jelmer Vernooij <jelmer@samba.org>
Safe Haskell | None
Language | Haskell98

Propellor.Property.Aiccu

Description

Synopsis

- installed :: Property DebianLike
- restarted :: Property DebianLike
- confPath :: FilePath
- type UserName = String
- type TunnelId = String
- hasConfig :: TunnelId -> UserName -> Property (HasInfo + DebianLike)

# Documentation

installed :: Property DebianLike Source #

restarted :: Property DebianLike Source #

confPath :: FilePath Source #

type UserName = String Source #

type TunnelId = String Source #

hasConfig :: TunnelId -> UserName -> Property (HasInfo + DebianLike) Source #

Configures an ipv6 tunnel using sixxs.net, with the given TunneId and sixx.net UserName.